Your message dated Wed, 25 Sep 2013 22:03:36 +0000
with message-id <[email protected]>
and subject line Bug#720687: fixed in mscgen 0.20-3
has caused the Debian Bug report #720687,
regarding autopkgtest tests
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [email protected]
immediately.)


-- 
720687: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=720687
Debian Bug Tracking System
Contact [email protected] with problems
--- Begin Message ---
Package: mscgen
Version: 0.20-2
Severity: wishlist

I have uploaded this to experimental.  I'm going to follow it up with
a bunch of crazy stuff as previously discussed, so don't just promote
the experimental package to unstable.

Thanks,
Ian.

commit 8ca9c595bed20b11097d374f2063b415f8534c62
Author: Ian Jackson <[email protected]>
Date:   Fri Aug 23 20:18:01 2013 +0100

    autopkgtest tests

diff --git a/debian/changelog b/debian/changelog
index 6461d40..b64fd3b 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+mscgen (0.20-2.experimental1) experimental; urgency=low
+
+  * autopkgtest tests.
+
+ -- Ian Jackson <[email protected]>  Fri, 23 Aug 2013 19:53:02 
+0100
+
 mscgen (0.20-2) unstable; urgency=low
 
   * Use buildflags.mk from dpkg to set compiler and linker
diff --git a/debian/control b/debian/control
index f09f647..f981199 100644
--- a/debian/control
+++ b/debian/control
@@ -15,6 +15,7 @@ Standards-Version: 3.9.2
 Homepage: http://www.mcternan.me.uk/mscgen/
 Vcs-Git: git://git.debian.org/collab-maint/mscgen.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/mscgen.git
+XS-Testsuite: autopkgtest
 
 Package: mscgen
 Architecture: any
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..122b67d
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,2 @@
+Tests: renderercheck
+Depends: @
diff --git a/debian/tests/renderercheck b/debian/tests/renderercheck
new file mode 100755
index 0000000..bd577e1
--- /dev/null
+++ b/debian/tests/renderercheck
@@ -0,0 +1,17 @@
+#!/bin/bash
+set -e
+
+# We trick the upstream "renderercheck.sh" script into executing the
+# tests using the installed version of mscgen.
+
+export top_builddir="$ADTTMP/top_builddir"
+mkdir "$top_builddir"
+>"$top_builddir/config.h"
+mkdir "$top_builddir/src"
+ln -s `type -p mscgen` "$top_builddir/src"
+
+export srcdir=`pwd`/test
+
+export VALGRIND=
+
+exec test/renderercheck.sh

--- End Message ---
--- Begin Message ---
Source: mscgen
Source-Version: 0.20-3

We believe that the bug you reported is fixed in the latest version of
mscgen, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to [email protected],
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niels Thykier <[email protected]> (supplier of updated mscgen package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing [email protected])


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 25 Sep 2013 23:45:47 +0200
Source: mscgen
Binary: mscgen
Architecture: source i386
Version: 0.20-3
Distribution: unstable
Urgency: low
Maintainer: Niels Thykier <[email protected]>
Changed-By: Niels Thykier <[email protected]>
Description: 
 mscgen     - Message Sequence Chart (MSC) generator
Closes: 720687
Changes: 
 mscgen (0.20-3) unstable; urgency=low
 .
   * Apply patch from Ian Jackson to add DEP-8/autopkgtests
     to mscgen.  (Closes: #720687)
   * Use canonical URLs in the Vcs-* fields.
   * Bump Standards-Version to 3.9.4 - no changes required.
   * Build-Depend on libgd-dev instead of libgd2-xpm-dev,
     since the latter is now a transitional package.
Checksums-Sha1: 
 101237487eb5e4e3d5f29f8def40f1fbce4057a5 1910 mscgen_0.20-3.dsc
 1ed873f99a2a71ef0794eacfbd289ce72e3495f9 5493 mscgen_0.20-3.debian.tar.gz
 c8a226205cb937d61e6c6f6007e0c1504bd6353b 45482 mscgen_0.20-3_i386.deb
Checksums-Sha256: 
 4899c5362f4d3a30ec11c49c7e3d0f97e504fca5b68f48a681c51853b41604f0 1910 
mscgen_0.20-3.dsc
 9b45595561d1f387391cabc06e5e0c2912769442d95a517eb12aadd0b896e41a 5493 
mscgen_0.20-3.debian.tar.gz
 afd2591ea29e1397ec2e3e3fa4001219d8c24d2581ca205d6a0ff64a4bc72370 45482 
mscgen_0.20-3_i386.deb
Files: 
 3445e5bf5ded06096fe4502753005eea 1910 devel optional mscgen_0.20-3.dsc
 b9d3ab0e070baea13d42adfbd1673ea3 5493 devel optional 
mscgen_0.20-3.debian.tar.gz
 fd19a5e5ab4123d0dace04616c72d426 45482 devel optional mscgen_0.20-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJSQ1n0AAoJEAVLu599gGRCyecP/2YHwwPKb4aCfXvvQG3PBIZJ
fAAXopXSFIsiKlv4oePKWxBru/qDL4goc3xtRI+1EFZARfhNH4QC2XiW47Yt3MLB
Gi6kSy0JHU8f+SoRocirxl6Aa8X+OiwYnObLWNTBECY2WRKXyvtgGhzDnfEtGiMM
b2FcX0Ig/0o1q8i0rMqr5fSIdUkC/I5/p7vrHogyc5w2yHzb8G2pX029tE8NQF0W
Jz4VMVPJDiH1wxbQK7kwHzAUMxetrkfntDjeYqArVm5qM5R/a97S8oQ/hQQ4c9RW
1t3cHbHyffnHG+U86qQziazraQ0e0WT6cJfeslRgKbYJmx88LdBe0KZOABcSgTRc
EoNVBA8VpdgJaauYqiOQwu5GrHObn9xWAPoxGTZPYaiJoJEogaf6p7c3EJMAtFQ7
NkuucdWH/w9BIX2LKKHLVEE/6Fl3IjR2PiWDtNZp5/++0KXM1APtEER+mJvwzljP
Q5tnSkl6jOx6Ft5m3Q2Kn1SeXKkRCB8AmiJodkNNyvzZlIrpxwEAReVBTim0TOqG
Gq8eC6sszXFUF0XaFmy+W07MQlngezE4MMrGxYEMVnG73byBilJJYCrX3ouQVlSm
bJSINvXOmFP5ipE6Bkz0+eDP9ShhPYbn0S3e9yd2BoOT060vulkquN+wfXUp3MLy
X2/zsCvGqFssjy1Xxlme
=Je9K
-----END PGP SIGNATURE-----

--- End Message ---

Reply via email to